Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jface.text.reconciler
Class MonoReconciler

    java.lang.Object
      org.eclipse.jface.text.reconciler.AbstractReconciler
          org.eclipse.jface.text.reconciler.MonoReconciler

All Implemented Interfaces:
  IReconciler

public class MonoReconciler
extends AbstractReconciler

Standard implementation of `IReconciler`. The reconciler is configured with a single reconciling strategy that is used independently from where a dirty region is located in the reconciler's document.

Usually, clients instantiate this class and configure it before using it.

Since:
  2.0
See Also:
  `IDocumentListener`, `ITextInputListener`, `DirtyRegion`

Constructor Summary
`MonoReconciler(IReconcilingStrategy strategy, boolean isIncremental)` Creates a new reconciler that uses the same reconciling strategy to reconcile its document independent of the type of the document's contents.

Method Summary
`IReconcilingStrategy` | `getReconcilingStrategy(String contentType)` Returns the reconciling strategy registered with the reconciler for the specified content type.
`protected void` | `initialProcess()` This method is called on startup of the background activity.
`protected void` | `process(DirtyRegion dirtyRegion)` Processes a dirty region.
`protected void` | `reconcilerDocumentChanged(IDocument document)` Hook called when the document whose contents should be reconciled has been changed, i.e., the input document of the text viewer this reconciler is installed on.
`void` | `setProgressMonitor(IProgressMonitor monitor)` Sets the progress monitor of this reconciler.

Methods inherited from class org.eclipse.jface.text.reconciler.AbstractReconciler
`aboutToBeReconciled, forceReconciling, getDocument, getProgressMonitor, getTextViewer, install, isIncrementalReconciler, reconcilerReset, setDelay, setIsIncrementalReconciler, startReconciling, uninstall`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MonoReconciler

    public MonoReconciler(IReconcilingStrategy strategy,
                          boolean isIncremental)

  Creates a new reconciler that uses the same reconciling strategy to reconcile its document independent of the type of the document's contents.

Parameters:
  `strategy` - the reconciling strategy to be used
  `isIncremental` - the indication whether strategy is incremental or not

Method Detail

### getReconcilingStrategy

    public IReconcilingStrategy getReconcilingStrategy(String contentType)

  Description copied from interface: `IReconciler`
  Returns the reconciling strategy registered with the reconciler for the specified content type.

  Parameters:
    `contentType` - the content type for which to determine the reconciling strategy
  Returns:
    the reconciling strategy registered for the given content type, or `null` if there is no such strategy

### process

    protected void process(DirtyRegion dirtyRegion)

  Description copied from class: `AbstractReconciler`
  Processes a dirty region. If the dirty region is `null` the whole document is consider being dirty. The dirty region is partitioned by the document and each partition is handed over to a reconciling strategy registered for the partition's content type.

  Specified by:
    `process` in class `AbstractReconciler`
  Parameters:
    `dirtyRegion` - the dirty region to be processed

### reconcilerDocumentChanged

    protected void reconcilerDocumentChanged(IDocument document)

  Description copied from class: `AbstractReconciler`
  Hook called when the document whose contents should be reconciled has been changed, i.e., the input document of the text viewer this reconciler is installed on. Usually, subclasses use this hook to inform all their reconciling strategies about the change.

  Specified by:
    `reconcilerDocumentChanged` in class `AbstractReconciler`
  Parameters:
    `document` - the new reconciler document

### setProgressMonitor

    public void setProgressMonitor(IProgressMonitor monitor)

  Description copied from class: `AbstractReconciler`
  Sets the progress monitor of this reconciler.

  Overrides:
    `setProgressMonitor` in class `AbstractReconciler`
  Parameters:
    `monitor` - the monitor to be used

### initialProcess

    protected void initialProcess()

  Description copied from class: `AbstractReconciler`
  This method is called on startup of the background activity. It is called only once during the life time of the reconciler. Clients may reimplement this method.

  Overrides:
    `initialProcess` in class `AbstractReconciler`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.